﻿#ifndef CITYDATABASE_H
#define CITYDATABASE_H

#include <QtCore/QList>
#include <QtCore/QObject>
#include <QtCore/QString>
#include "CityComponent.h"

struct CityDatabasePrivate;

class CityDatabase : public QObject
{
    Q_OBJECT
    Q_DISABLE_COPY(CityDatabase)

public:
    static CityDatabase *instance();
    virtual ~CityDatabase();

    QList<CityComponent*> citiesOfCountry(const QString &country) const;

public slots:
    void retranslate(const QString &language);

private:
    CityDatabase();

    static const char *m_strings[][2];
    CityDatabasePrivate *m_d;
};

#endif // CITYDATABASE_H
