﻿#include <QtGui/QGuiApplication>
#include "QmlAppViewer.h"
#include "TranslationManager.h"

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    TranslationManager::instance()->setLanguage("de");

    QmlAppViewer viewer;
    viewer.setMainQmlFile(QStringLiteral("qml/KeyNavigationWithQML/main.qml"));
    viewer.showExpanded();

    return app.exec();
}
