import QtQuick 2.1

ListView
{
    id: root

    property Item backtabDown: root
    property Item tabDown: root
    property Item backtabUp
    property Item tabUp

    clip: true
    boundsBehavior: Flickable.StopAtBounds

    function handleBacktab()
    {
        root.positionViewAtIndex(root.count - 1, ListView.End)
        root.currentIndex = root.count - 1
        root.forceActiveFocus()
    }

    function handleTab()
    {
        root.positionViewAtIndex(0, ListView.Beginning)
        root.currentIndex = 0
        root.forceActiveFocus()
    }
}
