import QtQuick 2.1
import QtQuick.Controls 1.0

BaseMainPage
{
    id: root

    property string country

    Rectangle
    {
        anchors.fill: parent
        color: g_theme.centralArea.backgroundColor

        Column
        {
            Toolbar
            {
                id: toolbar
                objectName: "toolbar"
                title: biggestCitiesView.title
                backtabUp: biggestCitiesView.backtabDown
                tabUp: biggestCitiesView.tabDown
            }

            BiggestCitiesView
            {
                id: biggestCitiesView
                objectName: "biggestCitiesView"
                country: root.country
                focus: true
                backtabUp: toolbar.backtabDown
                tabUp: toolbar.tabDown
            }

            Rectangle
            {
                width: 1024
                height: 90
                color: g_theme.tabbar.backgroundColor
            }

        } // end Column
    }
}
