﻿import QtQuick 2.1
import QtQuick.Controls 1.0

StackView
{
    id: root
    visible: depth !== 0
    z: 50.0

    function popDialog(item)
    {
        if (root.depth === 1) {
            root.clear()
            g_mainPageStack.currentItem.forceActiveFocus()
        }
        else {
            root.pop({ item: item, immediate: true})
        }
    }

    function pushDialog(item)
    {
        root.push({ item: item, immediate: true })
    }
}
