import QtQuick 2.1

FocusScope
{
    id: root
    property Item backtabDown: buttonAsia.backtabDown
    property Item tabDown: buttonEurope.tabDown
    property Item backtabUp
    property Item tabUp

    width: 1024
    height: 90

    Rectangle
    {
        anchors.fill: parent
        color: g_theme.tabbar.backgroundColor

        Row
        {
            anchors.centerIn: parent
            spacing: 12
            PushButton {
                id: buttonEurope
                objectName: "TabButtonEurope"
                text: qsTr("Europe") + g_tr.languageChanged
                backtabUp: root.backtabUp
                tabUp: buttonSouthAmerica.tabDown
                focus: true
            }
            PushButton {
                id: buttonSouthAmerica
                objectName: "TabButtonSouthAmerica"
                text: qsTr("South America") + g_tr.languageChanged
                backtabUp: buttonEurope.backtabDown
                tabUp: buttonAsia.tabDown
            }
            PushButton {
                id: buttonAsia
                objectName: "TabButtonAsia";
                text: qsTr("Asia") + g_tr.languageChanged
                backtabUp: buttonSouthAmerica.backtabDown
                tabUp: root.tabUp
            }
        }
    }
}
